> For the complete documentation index, see [llms.txt](https://connect.socios.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://connect.socios.com/partner-api/api-reference/ping-api.md).

# Ping API

{% hint style="warning" %}
In Q1 2025, the Chiliz team will decommission several endpoints and features. This is to ensure that the Socios.com API remains focused on the Socios.com app features, and to bring it always closer to the Web3 ecosystem.&#x20;

Don't worry! We will provide you with alternatives right here on this documentation site.

You will find more information [in this guide](/partner-api/2025-api-update-overview.md), and in each API section of this site.
{% endhint %}

{% hint style="success" %}
Note: The Ping API is not changed in the 2025 API Update.
{% endhint %}

## Socios Ping API

Using the Ping API, developers can check if their setup is done appropriately and the endpoint communicates efficiently with the API.

Use the [Quick start](/partner-api/quick-start.md) for a walkthrough implementation.

{% openapi src="/files/udP3BJinOfsJsjHx6OJh" path="/ping" method="get" %}
[Getting\_started.json](https://31329255-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMDcaoJLMj5Y3jzFMTONF%2Fuploads%2FPZcafxK9eTaGmW2BfkM7%2FGetting_started.json?alt=media\&token=38a3495e-c4aa-4f31-920c-423a43b45461)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://connect.socios.com/partner-api/api-reference/ping-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
